﻿/* 遮罩层 */
.Occlusion {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgb(0,0,0,0.5);
    z-index: 9999;
}

    .Occlusion > h2 {
        position: fixed;
        top: 45%;
        left: 50%;
        transform: translate(-50%,-50%);
        background: rgb(0,0,0,0.5);
        /*    height: 200px;*/
        width: 200px;
        color: #fff;
        text-align: center;
        line-height: 200px;
        border-radius: 125px;
        box-shadow: 0 0 50px rgb(0,0,0,1);
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

/* 旋转 */
.spin {
    position: fixed;
    top: 45%;
    left: 50%;
    height: 200px;
    width: 200px;
    /*    border-radius: 125px;*/
    /*    background: rgb(255,0,0,0.2);*/
    /*    transform: translate(-50%,-50%);*/
    -webkit-transition-property: -webkit-transform;
    -webkit-transition-duration: 1s;
    -moz-transition-property: -moz-transform;
    -moz-transition-duration: 1s;
    -webkit-animation: rotate 3s linear infinite;
    -moz-animation: rotate 3s linear infinite;
    -o-animation: rotate 3s linear infinite;
    animation: rotate 1s ease-in-out infinite
}

@-webkit-keyframes rotate {
    from {
        transform: translate(-50%,-50%) rotate(0deg);
    }

    to {
        transform: translate(-50%,-50%) rotate(359deg);
    }
}

@-moz-keyframes rotate {
    from {
        transform: translate(-50%,-50%) rotate(0deg);
    }

    to {
        transform: translate(-50%,-50%) rotate(359deg);
    }
}

@-o-keyframes rotate {
    from {
        transform: translate(-50%,-50%) rotate(0deg);
    }

    to {
        transform: translate(-50%,-50%) rotate(359deg);
    }
}

@keyframes rotate {
    from {
        transform: translate(-50%,-50%) rotate(0deg);
    }

    to {
        transform: translate(-50%,-50%) rotate(359deg);
    }
}

.eround {
    position: absolute;
    border-radius: 125px;
    background: rgb(255, 255, 255);
}

    .eround:nth-child(1) {
        left: 90px;
        top: 3px;
        height: 25px;
        width: 25px;
    }

    .eround:nth-child(2) {
        left: 63px;
        top: 8px;
        height: 21px;
        width: 21px;
    }

    .eround:nth-child(3) {
        left: 40px;
        top: 20px;
        height: 19px;
        width: 19px;
    }

    .eround:nth-child(4) {
        left: 24px;
        top: 36px;
        height: 16px;
        width: 16px;
    }

    .eround:nth-child(5) {
        left: 15px;
        top: 52px;
        height: 13px;
        width: 13px;
    }

    .eround:nth-child(6) {
        left: 9px;
        top: 67px;
        height: 10px;
        width: 10px;
    }

    .eround:nth-child(7) {
        left: 6px;
        top: 80px;
        height: 7px;
        width: 7px;
    }

    .eround:nth-child(8) {
        left: 5px;
        top: 90px;
        height: 4px;
        width: 4px;
    }

.eround-z {
    position: absolute;
    border-radius: 125px;
    background: rgb(0, 0, 0);
}

    .eround-z:nth-child(1) {
        right: 90px;
        bottom: 3px;
        height: 25px;
        width: 25px;
    }

    .eround-z:nth-child(2) {
        right: 63px;
        bottom: 8px;
        height: 21px;
        width: 21px;
    }

    .eround-z:nth-child(3) {
        right: 40px;
        bottom: 20px;
        height: 19px;
        width: 19px;
    }

    .eround-z:nth-child(4) {
        right: 24px;
        bottom: 36px;
        height: 16px;
        width: 16px;
    }

    .eround-z:nth-child(5) {
        right: 15px;
        bottom: 52px;
        height: 13px;
        width: 13px;
    }

    .eround-z:nth-child(6) {
        right: 9px;
        bottom: 67px;
        height: 10px;
        width: 10px;
    }

    .eround-z:nth-child(7) {
        right: 6px;
        bottom: 80px;
        height: 7px;
        width: 7px;
    }

    .eround-z:nth-child(8) {
        right: 5px;
        bottom: 90px;
        height: 4px;
        width: 4px;
    }


.spin_a {
    position: fixed;
    top: 45%;
    left: 50%;
    height: 200px;
    width: 200px;
    animation: rotate 2s cubic-bezier(0.5, 0.51, 0.51, 0.51) infinite;
    border-radius: 125px;
    border: 4px solid transparent;
    border-top-color: #fff;
}

    .spin_a::after {
        content: "";
        position: absolute;
        border-radius: 125px;
        border: 4px solid transparent;
        border-top-color: #000;
        top: -15px;
        bottom: -15px;
        left: -15px;
        right: -15px;
        animation: rotate_a_b 3s cubic-bezier(0.5, 0.51, 0.51, 0.51) infinite;
    }

    .spin_a::before {
        content: "";
        position: absolute;
        border-radius: 125px;
        border: 4px solid transparent;
        border-top-color: #000;
        top: 20px;
        bottom: 20px;
        left: 20px;
        right: 20px;
        animation: rotate_a_b 4.5s cubic-bezier(0.5, 0.51, 0.51, 0.51) infinite;
    }

@keyframes rotate {
    from {
        transform: translate(-50%,-50%) rotate(0deg);
    }

    to {
        transform: translate(-50%,-50%) rotate(359deg);
    }
}

@keyframes rotate_a_b {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-360deg);
    }
}
